import { openScene } from "../../src/scene.js";
import { config } from "../../config.js";
import AppState from "../../src/state.js";
import { normalizeNodes } from "../../src/utils/nodeUtils.js";
import { initStimulus } from "../../src/utils/stimulus.js";

initStimulus();

AppState.currentScene = 'salvador';
const marker = config.markers.find(m => m.id === 'salvador');
AppState.normalizedNodes = normalizeNodes(marker.nodes).flat;

openScene(marker, AppState.normalizedNodes);